# Generated from stackdriver-0.21.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name stackdriver

Name: rubygem-%{gem_name}
Version: 0.21.1
Release: 1%{?dist}
Summary: API Client library for Google Stackdriver
License: Apache-2.0
URL: https://github.com/googleapis/google-cloud-ruby/tree/master/stackdriver
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 2.5
# BuildRequires: rubygem(autotest-suffix) >= 1.1
# BuildRequires: rubygem(autotest-suffix) < 2
# BuildRequires: rubygem(google-style) >= 1.25.1
# BuildRequires: rubygem(google-style) < 1.26
# BuildRequires: rubygem(minitest) >= 5.14
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest-autotest) >= 1.0
# BuildRequires: rubygem(minitest-autotest) < 2
# BuildRequires: rubygem(minitest-focus) >= 1.1
# BuildRequires: rubygem(minitest-focus) < 2
# BuildRequires: rubygem(minitest-rg) >= 5.2
# BuildRequires: rubygem(minitest-rg) < 6
# BuildRequires: rubygem(railties) >= 5.0
# BuildRequires: rubygem(railties) < 6
# BuildRequires: rubygem(redcarpet) >= 3.0
# BuildRequires: rubygem(redcarpet) < 4
# BuildRequires: rubygem(simplecov) >= 0.9
# BuildRequires: rubygem(simplecov) < 1
# BuildRequires: rubygem(yard) >= 0.9
# BuildRequires: rubygem(yard) < 1
# BuildRequires: rubygem(yard-doctest) >= 0.1.6
# BuildRequires: rubygem(yard-doctest) < 0.2
BuildArch: noarch

%description
stackdriver is the official library for Google Stackdriver APIs.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.yardopts
%{gem_instdir}/CODE_OF_CONDUCT.md
%{gem_instdir}/INSTRUMENTATION_CONFIGURATION.md
%license %{gem_instdir}/LICENSE
%{gem_instdir}/OVERVIEW.md
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/CHANGELOG.md
%doc %{gem_instdir}/CONTRIBUTING.md

%changelog
* Wed Sep 15 2021 mockbuilder - 0.21.1-1
- Initial package
